Bug 832846 - Synaptic package manager suggests the removal of the Linux filesystem and setup packages to fix broken packages.
Synaptic package manager suggests the removal of the Linux filesystem and set...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: synaptic (Show other bugs)
17
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-17 19:54 EDT by neldogz
Modified: 2013-07-31 14:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 14:34:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description neldogz 2012-06-17 19:54:54 EDT
Description:

Upon loading Synaptic Package Manager a prompt appears advising of the following:

"You have 2 broken packages on your system! Use the "Broken filter" to locate them"

(an option to press ok to clear the message is present)

When attempting to fix the broken packages by selecting edit then fix broken packages, then submitting apply... A confirmation message appears prompting to apply the removal of 1285 packages which include 17 essential packages and recovering 3467 mb of space.

The packages that are coming up as broken are the following:

filesystem 3.2.fc17 - The basic directory layout for a Linux system.
setup 2.8.48-1.fc17 - A set of system configuration and setup files.

Version of Synaptic:

synaptic-0.57.2-27.fc17.x86_64 installed on Fedora 17 Beefy Miracle 3.4.0-1.fc17.x86_64 

By following through with the uninstall this would most certainly leave a system unusable as critical system files would be removed. The state of this package is dangerous for anyone who attempts to fix the broken packages and does not read the details presented.
Comment 1 D. Charles Pyle 2012-10-13 03:35:42 EDT
This affects me as well on Fedora 18-Alpha.
Comment 2 Fedora End Of Life 2013-07-03 15:43:45 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 14:34:42 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.